
rm(list = ls()); gc()
setwd("/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/")
recipe_file <- "recipes/recipe_1_nadia_scorecards.yml"

source("modules/Loading/Loading.R")
source("modules/Calibration/Calibration.R")
source("modules/Skill/Skill.R")
source("modules/Saving/Saving.R")

for (smonth in 3:12) {
  ## Define recipe needed to load calibrated data and skill metrics
  recipe <- read_yaml(recipe_file)
  recipe$Analysis$Time$sdate <- paste0(sprintf("%02d", smonth), '01')
  ## Load datasets
  data <- load_datasets(recipe_file)
  ## Compute skill metrics of raw data
  skill_metrics <- compute_skill_metrics(data$hcst, data$obs, recipe) 
  archive <- read_yaml(paste0(recipe$Run$code_dir, "conf/archive.yml"))$archive
  save_data(recipe, archive, data, skill_metrics = skill_metrics)  
}


##### Script requires module Phantomjs, currently only available in Nord3 
##### Load Phantomjs in Nord3 before running script: 'module load Phantomjs'

##### To open R in Nord·: 
#  module load R/4.1.2-foss-2019b
#  module load OpenMPI/4.0.5-GCC-8.3.0-nord3-v2
#  R
#  scorecard.type <- 1 # 1,2,3,4



### Temporarily to be able to run without loading data first ###
library(yaml)
recipe_file <- "recipes/recipe_1_nadia_scorecards.yml"
recipe <- read_yaml(recipe_file)
archive <- read_yaml(paste0(recipe$Run$code_dir, "conf/archive.yml"))$archive
vars_dict <- read_yaml(paste0(recipe$Run$code_dir, "conf/variable-dictionary.yml"))$vars

input.path <- '/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/modules/Visualization/'
fileout <- '/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/modules/Visualization/scorecard_images'
#############


setwd("/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/modules/Visualization/")
source('./SC_colorbar_functions.R')
source('./SC_load_metrics_functions.R')

## Load data files
source("/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/modules/Visualization/SC_load_metrics.R")
loaded_metrics <- SC_load_metrics(recipe)

## Transform metrics 
## already included in scorecard script
# source("/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/modules/Visualization/SC_transform_loaded_metrics.R")
# transformed_metrics <- transform_loaded_metrics(recipe, loaded_metrics)

## Scorecard type 1 - startdate by region and forecast month
source("/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/modules/Visualization/SC_type-1_sdate_reg-fmonth.R")
SC_1(recipe, transformed_metrics) ##??



source(".../SC_2_.R")
SC_2(recipe, transformed_metrics)

SC_2 <- function(reciep, tras) {
  numbers <- reorder_som_how
  table_shape(numbers)
}



#################### PARAMETERS ########################

# start.year <- recipe$Analysis$Time$hcst_start ## 1993
# end.year <- recipe$Analysis$Time$hcst_end ## 2016
# 
# system.filename <- archive$System[[recipe$Analysis$Datasets$System$name]]$system_filename ## 'ecmwfs5'
# system.name <- archive$System[[recipe$Analysis$Datasets$System$name]]$system_name ## 'ECMWF System 5
# 
# reference.name <- archive$Reference[[recipe$Analysis$Datasets$Reference$name]]$reference_name ## 'ERA5'
# reference.filename <- archive$Reference[[recipe$Analysis$Datasets$Reference$name]]$reference_filename ## 'era5'
# 
# var.filename <- recipe$Analysis$Variables$name ## 'tas'
# var.name <- variable-dictionary$vars[[recipe$Analysis$Variables$name]]$long_name ##
# var.unit <- variable-dictionary$vars[[recipe$Analysis$Variables$name]]$units ## 'K'

#plevel <- '' # because single levels

