################################################################################
################### Script for creating Scorecard Type 1 #######################
############### (By Start date & Region and forecast month) ####################
################################################################################

table_column_header <- "Start date"

## Transform loaded metrics
source("/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/modules/Visualization/SC_transform_loaded_metrics.R")
transformed_metrics <- transform_loaded_metrics(recipe, loaded_metrics)

mean.bias <- transformed_metrics$mean.bias
mean.corr <- transformed_metrics$mean.corr
mean.rpss <- transformed_metrics$mean.rpss
mean.crpss <- transformed_metrics$mean.crpss

region.names <- transformed_metrics$region.names
region.names.figure <- transformed_metrics$region.names.figure
n.regions <- transformed_metrics$n.regions
n.start.months <- transformed_metrics$n.start.months
n.for.months <- transformed_metrics$n.for.months
n.dec <- transformed_metrics$n.dec

## Create scorecard image
source("/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/modules/Visualization/SC_visualization_function.R")
scorecard_table <- create_scorecard_table(transformed_metrics)

## Save scorecard image 
#period <- paste0(start.year, "-", end.year)

dirout <- save_scorecard(system.filename = archive$System[[recipe$Analysis$Datasets$System$name]]$system_filename, 
                         reference.filename = archive$Reference[[recipe$Analysis$Datasets$Reference$name]]$reference_filename, 
                         var.filename = recipe$Analysis$Variables$name, 
                         start.year = recipe$Analysis$Time$hcst_start, 
                         end.year = recipe$Analysis$Time$hcst_end, 
                         hindcasts.filename = paste0(start.year, "-", end.year),
                         mod.pressure = " ",
                         scorecard_type = "type-1")

system(paste0("mv ", './scorecard.png', paste0(" ", dirout)))
return(print(paste0("Scorecard type 1 (start date by region & forecast month) figure saved")))

setwd(currentworkingdir)

