################################################################################
#################### Script for creating Scorecard Type 3 ######################
############## (By Forecast month & Region and forecast month) #################
################################################################################

table_column_header = "Target month"


## Transform loaded metrics
source("/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/modules/Visualization/SC_transform_loaded_metrics.R")
transformed_metrics <- transform_loaded_metrics(recipe, loaded_metrics)

mean.bias <- transformed_metrics$mean.bias
mean.corr <- transformed_metrics$mean.corr
mean.rpss <- transformed_metrics$mean.rpss
mean.crpss <- transformed_metrics$mean.crpss

region.names <- transformed_metrics$region.names
region.names.figure <- transformed_metrics$region.names.figure
n.regions <- transformed_metrics$n.regions
n.start.months <- transformed_metrics$n.start.months
n.for.months <- transformed_metrics$n.for.months
n.dec <- transformed_metrics$n.dec


## Translate values by 1 to shift from start date to target month
mean.bias2 <- abind(mean.bias, mean.bias, mean.bias, along = 1)
for(ff in 2:n.for.months){
  mean.bias2[(n.start.months + 1):(n.start.months * 2),,ff] <- mean.bias2[(n.start.months + 2 - ff):(n.start.months * 2 + 1 - ff),,ff]
}
mean.bias2 <- mean.bias2[(n.start.months + 1):(n.start.months * 2),,] ## take only central part of the array

mean.corr2 <- abind(mean.corr, mean.corr, mean.corr, along = 1)
for(ff in 2:n.for.months){
  mean.corr2[(n.start.months + 1):(n.start.months * 2),,ff] <- mean.corr2[(n.start.months + 2 - ff):(n.start.months * 2 + 1 - ff),,ff]
}
mean.corr2 <- mean.corr2[(n.start.months + 1):(n.start.months * 2),,] ## take only central part of the array

mean.crpss2 <- abind(mean.crpss, mean.crpss, mean.crpss, along = 1)
for(ff in 2:n.for.months){
  mean.crpss2[(n.start.months + 1):(n.start.months * 2),,ff] <- mean.crpss2[(n.start.months + 2 - ff):(n.start.months * 2 + 1 - ff),,ff]
}
mean.crpss2 <- mean.crpss2[(n.start.months + 1):(n.start.months * 2),,] ## take only central part of the array

mean.rpss2 <- abind(mean.rpss, mean.rpss, mean.rpss, along = 1)
for(ff in 2:n.for.months){
  mean.rpss2[(n.start.months + 1):(n.start.months * 2),,ff] <- mean.rpss2[(n.start.months + 2 - ff):(n.start.months * 2 + 1 - ff),,ff]
}
mean.rpss2 <- mean.rpss2[(n.start.months + 1):(n.start.months * 2),,] ## take only central part of the array

## Change names to correspond with names in function
mean.bias <- mean.bias2
mean.corr <- mean.corr2
mean.crpss <- mean.crpss2
mean.rpss <- mean.rrpss2

rm(mean.bias2, mean.corr2, mean.crpss2, mean.rpss2)


## Create scorecard image
source("/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/modules/Visualization/SC_visualization_function.R")
scorecard_table <- create_scorecard_table(transformed_metrics)


## Save scorecard png in desired directory
dirout <- initialfunction_save_scorecard(system.filename, reference.name, var.filename, start.year, end.year, "type-3")
system(paste0("mv ", './scorecard_type3.png', paste0(" ", dirout)))
return(print(paste0("Scorecard type 3 figure saved")))

setwd(currentworkingdir)


